/**
 * \file core/tandem_run/tandemslurmprocess.h
 * \date 21/09/2023
 * \author Olivier Langella
 * \brief handles execution of a bunch of X!Tandem process through slurm
 * workload manager
 */

/*******************************************************************************
 * Copyright (c) 2023 Olivier Langella
 *<Olivier.Langella@universite-paris-saclay.fr>.
 *
 * This file is part of i2MassChroQ.
 *
 *     i2MassChroQ is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     i2MassChroQ is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with i2MassChroQ.  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************************************/

#pragma once

#include "tandembatchprocess.h"
#include <QTemporaryDir>
#include "../slurm_process/slurmprocess.h"

/**
 * @todo write docs
 */
class TandemSlurmProcess : public TandemBatchProcess
{
  public:
  TandemSlurmProcess(MainWindow *p_main_window,
                     WorkMonitorInterface *p_monitor,
                     const TandemRunBatch &tandem_run_batch);
  virtual ~TandemSlurmProcess();

  virtual void prepareXmlDatabaseFile();
  virtual void run();

  private:
  SlurmProcess *mp_slurmProcess    = nullptr;
  WorkMonitorInterface *mp_monitor = nullptr;
};
